#!/bin/bash
 
CURRENT_DIR=`pwd`

echo "Clean CLHEP libraries"  

## test invaromental variable
if [ ! -d $CLHEP_PATH ]
then
 echo "You did not set \$CLHEPPATH to correctly !  Stop installation";
 exit 0;
else
echo " \$CLHEP_PATH set to $CLHEP_PATH  -> OK";
fi


if [ ! -d $ROOTSYS ]
then
 echo "You did not set \$ROOTSYS to correctly !  Stop installation";
 exit 0;
else
echo " \$ROOTSYS set to $ROOTSYS  -> OK";
fi


echo "";
echo "Clean CLHEP source directory";
make clean -C $RUNMC/packages/clhep_tmp/CLHEP
make distclean -C $RUNMC/packages/clhep_tmp/CLHEP
rm -r $CLHEP_PATH/lib
rm -r $CLHEP_PATH/include


echo "";
echo "Clean ROOT source directory"; 
make clean -C $RUNMC/packages/root_tmp
make distclean -C $RUNMC/packages/root_tmp
rm -r $ROOTSYS/*
cp -f $RUNMC/packages/root_tmp/README/README $RUNMC/packages/root/README 

cd $CURRENT_DIR
echo "all done!";
exit 0

