#!/bin/bash

CURRENT_DIR=`pwd`


#### now start ROOT installation
echo ""; echo "";
echo "Start ROOT installation!";
if [ ! -d $ROOTSYS ]
then
 echo "You did not set \$ROOTSYS to correctly !  Stop installation";
 exit 0;
else
echo " \$ROOTSYS set to $ROOTSYS  -> OK";
fi

cd $RUNMC/packages/root_tmp
echo ""; echo "configure ROOT"
./configure --enable-cern \
            --disable-afs \
            --disable-alien
 

echo ""; echo ""; echo "compile ROOT"
make -C $RUNMC/packages/root_tmp

echo ""; echo ""; echo "installing ROOT"
make install -C $RUNMC/packages/root_tmp 
cd $CURRENT_DIR

echo "";
echo "ROOT is done.";


exit 0

